
/***MODAL LOGIN***/

/* Full-width input fields */
input[type=text], input[type=password], input[type=date], input[type=tel], input[type=email]{
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

input[type=text]:focus, input[type=password]:focus, input[type=tel]:focus, input[type=email]:focus {
    background-color: #ddd;
    outline: none;
}

input[type=date]{
    padding-right: 0;
}
select{
    width: 100%;
    height: 42px;
    padding-left: 15px;
}

/* Set a style for all buttons */
form div button {
    background-color: #04AA6D;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
}

form div button:hover {
    opacity: 0.8;
}

/* Extra styles for the cancel button */
.cancelbtn {
    width: auto;
    padding: 10px 18px;
    background-color: #f44336;
}

/* Center the image and position the close button */
.imgcontainer {
    text-align: center;
    margin: 24px 0 12px 0;
    position: relative;
}

img.avatar {
    width: 40% !important;
    border-radius: 50%;
}

.modal-container {
    padding: 16px;
}

.modal-container h2 {
    margin-top: 25px;
    margin-bottom: 25px;
    text-align: center;
}
.cree-compte {
    display: grid;
}

.cree-compte label{
    display: inline-block;
    vertical-align: middle;
    margin-bottom: 30px;
    color: #a9a9a9;
}

span.psw {
    float: right;
    padding-top: 16px;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: hidden; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    /**padding-top: 60px;**/
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
    border: 1px solid #888;
    width: 450px; /* Could be more or less, depending on screen size */
}

.empty-512{
    display: inline-block;
    height: 100px;
    margin: auto;
    padding-top: 10%;
}


/* The Close Button (x) */
.close {
    position: absolute;
    right: 25px;
    top: 0;
    color: #000;
    font-size: 35px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: red;
    cursor: pointer;
}

/* Add Zoom Animation */
.animate {
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s
}

@-webkit-keyframes animatezoom {
    from {-webkit-transform: scale(0)}
    to {-webkit-transform: scale(1)}
}

@keyframes animatezoom {
    from {transform: scale(0)}
    to {transform: scale(1)}
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
    span.psw {
        display: block;
        float: none;
    }
    .cancelbtn {
        width: 100%;
    }
}



/*the container must be positioned relative:*/
.custom-select {
    color: black;
    position: relative;
    margin-top: 7px;
    margin-bottom: 7px;
    background-color: #ffffff;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

.custom-select select {
    display: none; /*hide original SELECT element:*/
}

.select-selected {
    background-color: #ffffff;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

/*style the arrow inside the select element:*/
.select-selected:after {
    position: absolute;
    content: "";
    top: 20px;
    right: 5px;
    width: 0;
    height: 0;
    border: 6px solid transparent;
    border-color: #000000 transparent transparent transparent;
}

/*point the arrow upwards when the select box is open (active):*/
.select-selected.select-arrow-active:after {
    border-color: transparent transparent #000000 transparent;
    top: 14px;
}

/*style the items (options), including the selected item:*/
.select-items div,.select-selected {
    color: #000000;
    padding: 10px 16px;
    border: 1px solid transparent;
    border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
    cursor: pointer;
    user-select: none;
}

.select-items div {
    color: #ffffff;
}

/*style items (options):*/
.select-items {
    position: absolute;
    background-color: DodgerBlue;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 99;
}

/*hide the items when the select box is closed:*/
.select-hide {
    display: none;
}

.select-items div:hover, .same-as-selected {
    background-color: rgba(0, 0, 0, 0.1);
}
